<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBiBamasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bi_bamas', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedTinyInteger('project_type')->nullable();
            $table->string('project_type_fa')->nullable();
            $table->unsignedTinyInteger('axis_type')->nullable();
            $table->string('axis_type_fa')->nullable();
            $table->unsignedTinyInteger('rate')->nullable();
            $table->string('rate_fa')->nullable();
            $table->unsignedTinyInteger('project_status')->nullable();
            $table->string('project_status_fa')->nullable();
            $table->string('contract_date')->nullable();
            $table->unsignedTinyInteger('province_id')->nullable();
            $table->string('province_fa')->nullable();
            $table->unsignedTinyInteger('city_id')->nullable();
            $table->string('city_fa')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bi_bamas');
    }
}
